=== debian/control ===
Source: extra
Section: unknown
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper (>=9), autotools-dev, autoconf, automake, build-essential, efl (>=1.18), m4, perl
Standards-Version: 3.9.6
Homepage: https://www.enlightenment.org

Package: extra
Architecture: any
Depends: ${misc:Depends}, libc6 (>=2.21), efl (>=1.18), perl
Description: Extra
 Extra is a app which allows you to install elementary themes on your computer
 .
 The app is based on elementary and uses efl libraries to download the theme. It does so by fetching themes from extra.enlightenment.org.
